- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends

# QGLPixelBuffer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qglpixelbuffer.h.

`#include <qglpixelbuffer.h>`

Inheritance diagram for QGLPixelBuffer:
[legend]

List of all members.

## Public Member Functions
| QGLPixelBuffer (const QSize &size, const QGLFormat &format=QGLFormat::defaultFormat(), QGLWidget *shareWidget=0)
| QGLPixelBuffer (int width, int height, const QGLFormat &format=QGLFormat::defaultFormat(), QGLWidget *shareWidget=0)
virtual | ~QGLPixelBuffer ()
bool | isValid () const
bool | makeCurrent ()
bool | doneCurrent ()
GLuint | generateDynamicTexture () const
bool | bindToDynamicTexture (GLuint texture)
void | releaseFromDynamicTexture ()
void | updateDynamicTexture (GLuint texture_id) const
GLuint | bindTexture (const QImage &image, GLenum target=GL_TEXTURE_2D)
GLuint | bindTexture (const QPixmap &pixmap, GLenum target=GL_TEXTURE_2D)
GLuint | bindTexture (const QString &fileName)
void | deleteTexture (GLuint texture_id)
void | drawTexture (const QRectF &target, GLuint textureId, GLenum textureTarget=GL_TEXTURE_2D)
void | drawTexture (const QPointF &point, GLuint textureId, GLenum textureTarget=GL_TEXTURE_2D)
QSize | size () const
Qt::HANDLE | handle () const
QImage | toImage () const
QPaintEngine * | paintEngine () const
QGLFormat | format () const
## Static Public Member Functions
static bool | hasOpenGLPbuffers ()
## Protected Member Functions
int | metric (PaintDeviceMetric metric) const
int | devType () const
## Friends
class | QGLDrawable
class | QGLWindowSurface
class | QGLPaintDevice
class | QGLPBufferGLPaintDevice
class | QGLContextPrivate

## Constructor & Destructor Documentation

QGLPixelBuffer | ( | const QSize & | size,
|  | const QGLFormat & | format = `QGLFormat::defaultFormat()`,
|  | QGLWidget * | shareWidget = `0`
| ) |  |

QGLPixelBuffer | ( | int | width,
|  | int | height,
|  | const QGLFormat & | format = `QGLFormat::defaultFormat()`,
|  | QGLWidget * | shareWidget = `0`
| ) |  |

virtual ~QGLPixelBuffer | ( |  | ) | `[virtual]`

## Member Function Documentation

bool isValid | ( |  | ) | const

Search for all occurrences

bool makeCurrent | ( |  | ) |

Search for all occurrences

bool doneCurrent | ( |  | ) |

Search for all occurrences

GLuint generateDynamicTexture | ( |  | ) | const

Search for all occurrences

bool bindToDynamicTexture | ( | GLuint | texture | ) |

Search for all occurrences

void releaseFromDynamicTexture | ( |  | ) |

Search for all occurrences

void updateDynamicTexture | ( | GLuint | texture_id | ) | const

Search for all occurrences

GLuint bindTexture | ( | const QImage & | image,
|  | GLenum | target = `GL_TEXTURE_2D`
| ) |  |

Search for all occurrences

GLuint bindTexture | ( | const QPixmap & | pixmap,
|  | GLenum | target = `GL_TEXTURE_2D`
| ) |  |

Search for all occurrences

GLuint bindTexture | ( | const QString & | fileName | ) |

Search for all occurrences

void deleteTexture | ( | GLuint | texture_id | ) |

Search for all occurrences

void drawTexture | ( | const QRectF & | target,
|  | GLuint | textureId,
|  | GLenum | textureTarget = `GL_TEXTURE_2D`
| ) |  |

Search for all occurrences

void drawTexture | ( | const QPointF & | point,
|  | GLuint | textureId,
|  | GLenum | textureTarget = `GL_TEXTURE_2D`
| ) |  |

Search for all occurrences

QSize size | ( |  | ) | const

Search for all occurrences

Qt::HANDLE handle | ( |  | ) | const

Search for all occurrences

QImage toImage | ( |  | ) | const

Search for all occurrences

QPaintEngine* paintEngine | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QPaintDevice.

QGLFormat format | ( |  | ) | const

Search for all occurrences

static bool hasOpenGLPbuffers | ( |  | ) | `[static]`

Search for all occurrences

int metric | ( | PaintDeviceMetric | metric | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

int devType | ( |  | ) | const `[inline, protected, virtual]`

Search for all occurrences

Reimplemented from QPaintDevice.

Definition at line 106 of file qglpixelbuffer.h.

    { return QInternal::Pbuffer; }

## Friends And Related Function Documentation

friend class QGLDrawable `[friend]`

Search for all occurrences

Definition at line 111 of file qglpixelbuffer.h.

friend class QGLWindowSurface `[friend]`

Search for all occurrences

Definition at line 112 of file qglpixelbuffer.h.

friend class QGLPaintDevice `[friend]`

Search for all occurrences

Definition at line 113 of file qglpixelbuffer.h.

friend class QGLPBufferGLPaintDevice `[friend]`

Search for all occurrences

Definition at line 114 of file qglpixelbuffer.h.

friend class QGLContextPrivate `[friend]`

Search for all occurrences

Definition at line 115 of file qglpixelbuffer.h.

The documentation for this class was generated from the following file:

- QtOpenGL/qglpixelbuffer.h

QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer
QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer QGLPixelBuffer